{% extends 'Default/myjui.html.twig' %}
{% trans_default_domain 'FOSUserBundle' %}
{% block body %}{% endblock %}
{% block javascripts %}
    {{ parent() }}
    <!--<script src="../lib/Sentry/polyfill.min.js?features=Promise"></script>-->
    <script type="module" src="../Scheduler/kaischeduler/kaischeduler.esm.js"></script>
    <script nomodule="" src="../Scheduler/kaischeduler/kaischeduler.js"></script>
    <!--<script type="text/javascript" src="../lib/googlecharts/charts/loader.js"></script>-->
    <script type="text/javascript" src="../lib/apexcharts/dist/apexcharts.js"></script>
	<!--<script src="../lib/Sentry/bundle.min.js" ></script>-->
    <script type="application/javascript">
        $(function() {
            // Sentry.init({
            //     dsn: 'https://4ae6f72fbe4046018c24b870795294e9@sentry.kaitek.com.tr/14'
            //     //,integrations: [new MyAwesomeIntegration()]
            // });
            var initMyApp=function(){
                mj.glb.imagePath='../lib/myjui/myjui/images/';
                mj.glb.blankImage=mj.glb.imagePath+'spacer.gif';
                window.app = {
                    menuItems: {{ menu|json_encode()|raw }},
                    editModule: {{ editModule|json_encode()|raw }},
                    editRecordId: {% if id is empty %} false {% else %} {{ id }} {% endif %},
                    initHash: location.hash.replace('#', ''),
                    editRecord: function(item, focusField, recordId, documentId){
                        window.tmpModule = item;
                        var winDesktopId = item.multiplewindow ? mj.genId('win') : item.id;
                        var windowConfig = {
                            app: app,
                            cls: typeof item.cls !== 'undefined' ? item.cls : '',
                            destroyOnClose: true,
                            minimizable: typeof item.minimizable !== 'undefined' ? item.minimizable : true,
                            maximizable: typeof item.maximizable !== 'undefined' ? item.maximizable : true,
                            closable: typeof item.closable !== 'undefined' ? item.closable : true,
                            resizable: typeof item.resizable !== 'undefined' ? item.resizable : true,
                            wM: app.desktop.wM,
                            id: item.modulename,
                            parent: app.desktop.body,
                            renderTo: app.desktop.body,
                            modal: item.modal,
                            title: item.fullTitle || item.title,
                            width: item.width || app.desktop.defaultWindowWidth,
                            height: item.height || app.desktop.defaultWindowHeight,
                            minWidth: item.minWidth || item.width,
                            minHeight: item.minHeight || item.height,
                            buttons: item.buttons
                        };
                        if(typeof Routing != 'undefined'){
                            windowConfig.autoLoad = {
                                url: (typeof Routing != 'undefined' ? Routing.generate(item.modulename + "-open-record", {
                                    'id': recordId,
                                    'focusField': focusField
                                }) : ''),
                                modulename: item.modulename,
                                menuId: item.id
                            };
                            windowConfig._onLoad = function(){
                                var win = this;
                                win.mask.show();
                                setTimeout(function(){
                                    win.mask.hide();
                                    var m = win.obj;
                                    m.grids.main.selectRow(m.grids.main, 0, false);
                                    m.editSelectedRecord();
                                        var f = m.forms.main.getField(focusField);
                                        if (f) {
                                            setTimeout(function () {
                                                f.focus();
                                            }, 300);
                                        }
                                }, 250);
                            };
                        }
                        tmpModule.win = new mj.window(windowConfig);
                        tmpModule.win.on('close',function(x,y){
                            var t=this;
                            delete window[item.modulename];
                            //win.tab.remove();
                            this.winHistory.remove(x.winDesktopId);//?
                            this.windows[item.multiplewindow?x.winDesktopId:x.id]=null;
                            if(this.winHistory.length>0&&!this.windows[this.winHistory[this.winHistory.length-1]].window.minimized)
                                this.windows[this.winHistory[this.winHistory.length-1]].window.show();
                        }, app.desktop);
                        tmpModule.win.show();
                        return tmpModule.win;
                    },
                    start: function(_name, _role, _avatar, _loginId) {
                        app.desktop = new mj.desktop({
                            position : 'top',
                            background : '#eee',
                            renderTo: mj.bd,
                            app: app,
                            fixedSideNav: true,
                            desktopItems:[],
                            menuItems: {items : [
                                {
                                    id : 'btnStart',
                                    title : 'Modüller',
                                    subMenuAlign:'bl',
                                    drag : false,
                                    items :app.menuItems 
                                }
                            ]}
                            , destroy: function(){
                                var t=this;
                                t.renderTo.removeClass('mj-desktop fixed-side-nav');
                                //t.actionBar.destroy();
                                //t.sideNav.destroy();
                                t.mask.destroy();
                                mj.desktop.superclass.destroy.call(this);
                            }
                        });
                        //app.desktop.actionBar.destroyEl = app.desktop.actionBar.el;
                        //app.desktop.sideNav.destroyEl = app.desktop.sideNav.el;
                        app.desktop.destroyEl = app.desktop.body;
                        if(app.editModule){
                            app.editRecord(app.editModule
                                , '{{ focusField }}'
                                , app.editRecordId
                                , app.documentId
                            );
                        }
                    },
                    logout : function() {
                        //app.desktop.mask.show();
                        var _win = new mj.window({cls : 'mj-message-window',modal : true,width : 300,height : 150,title: mj.lng.glb.info});
                        mj.NE(_win.body, {html:mj.lng.glb.logout, cls:'mj-message-text'});
                        _win.show();
                        $.ajax({
                            url: '{{ path("kaitek_framework_xhr_logout") }}',
                            method: 'POST',
                            dataType: 'json',
                            success: function(_data, textStatus, jqXHR) {
                                if(_data.success){
                                    location.reload();
                                }
                            },
                            error: function(jqXHR, textStatus, errorThrown) {
                                mj.message({title: mj.lng.glb.error, text: jqXHR.responseJSON.message + "<br>" + jqXHR.responseJSON.file, type: "error", html: true});
                            },
                            complete: function(jqXHR, textStatus) {
                            }
                        });
                    },
                    reload : function(){
                        document.location.reload();
                    }
                };
                var loginFormVisibility = "";
                {% if is_granted("IS_AUTHENTICATED_REMEMBERED") %}
                    app.start('{{ last_username }}', '&nbsp;', '{{ asset('img/anonymous.png') }}', '{{ loginId }}');
                    loginFormVisibility = 'style="display:none"';
                {% else %}
                    app.loginForm=$('<header>'+
                                    '   <img class="responsive-img" style="height:100px;margin-top: 50px;" src="../assets/img/verimot-logo.png" alt="" />'+
                                    '</header>'+
                                    '<form action="{{ path("fos_user_security_check", {'_locale': app.request.attributes.get('_locale')}) }}" method="post">'+
                                    '   <div class="group">'+
                                    '       <input type="text" id="_username" name="_username"><span class="highlight"></span><span class="bar"></span>'+
                                    '       <label>{{ 'security.login.username'|trans }}</label>'+
                                    '   </div>'+
                                    '   <div class="group">'+
                                    '       <input type="password" id="_password" name="_password"><span class="highlight"></span><span class="bar"></span>'+
                                    '       <label>{{ 'security.login.password'|trans }}</label>'+
                                    '   </div>'+
                                    '   <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">'+
                                    '   <button type="button" class="button buttonBlue">{{ 'security.login.submit'|trans }}'+
                                    '       <div class="ripples buttonRipples"><span class="ripplesCircle"></span></div>'+
                                    '   </button>'+
                                    '</form>').appendTo(document.body);
                    $('input').blur(function() {
                        var $this = $(this);
                        if ($this.val())
                        $this.addClass('used');
                        else
                        $this.removeClass('used');
                    });
                    $('input#_username').bind('keydown',function(e){
                        if(e.keyCode==13 && e.target.value !== ''){
                            $(e.target).trigger('blur');
                            $('input#_password').focus();
                        }
                    });
                    $('input#_password').bind('keydown',function(e){
                        if(e.keyCode===13 && e.target.value !== ''){
                            $(e.target).trigger('blur');
                            $('.buttonBlue').click();
                        }
                    });
                    $('.buttonBlue').click(function(){
                        if(!$('.buttonBlue').prop('disabled')){
                            if($('input#_username')[0].value!=='' && $('input#_password')[0].value!==''){
                                $('.buttonBlue').css('opacity',0.5);
                                $('.buttonBlue').prop('disabled',true);
                                $('form').submit();
                            }
                        }
                    });
                    var $ripples = $('.ripples');

                    $ripples.on('click.Ripples', function(e) {

                        var $this = $(this);
                        var $offset = $this.parent().offset();
                        var $circle = $this.find('.ripplesCircle');

                        var x = e.pageX - $offset.left;
                        var y = e.pageY - $offset.top;

                        $circle.css({
                            top: y + 'px',
                            left: x + 'px'
                        });

                        $this.addClass('is-active');

                    });

                    $ripples.on('animationend webkitAnimationEnd mozAnimationEnd oanimationend MSAnimationEnd', function(e) {
                        $(this).removeClass('is-active');
                    });
                    $('input#_username').focus();
                {% endif %}
            }
            initMyApp();
        });
    </script>
{% endblock %}
